/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.kaki.client.metier.EOPafAgentHisto;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class AgentsInfosView extends javax.swing.JPanel {

        /**
	 * 
	 */
	private static final long serialVersionUID = 5177803323456275390L;
		protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	
	protected TableSorter myTableSorter;

    /** Creates new form AgentsInfosView */
    public AgentsInfosView(EODisplayGroup myEod) {
        
        eod = myEod;
                
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jSeparator1 = new javax.swing.JSeparator();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        tfIdentite = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        tfInsee = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        tfNoDossier = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        tfGrade = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        tfEchelon = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        tfIndice = new javax.swing.JTextField();
        jPanel1 = new javax.swing.JPanel();
        jLabel8 = new javax.swing.JLabel();
        tfDestination = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        tfCodeGestion = new javax.swing.JTextField();
        buttonDetailBS = new javax.swing.JButton();
        buttonCalcul = new javax.swing.JButton();
        buttonDetailAgent = new javax.swing.JButton();
        jLabel12 = new javax.swing.JLabel();
        tfSousDestination = new javax.swing.JTextField();
        buttonHistoAgent = new javax.swing.JButton();

        setBorder(javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1));
        setMinimumSize(new java.awt.Dimension(2, 2));

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 12));
        jLabel1.setForeground(new java.awt.Color(0, 153, 153));
        jLabel1.setText("Informations KX");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Identité :");

        tfIdentite.setEditable(false);
        tfIdentite.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("INSEE :");

        tfInsee.setEditable(false);
        tfInsee.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfInsee.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfInseeActionPerformed(evt);
            }
        });

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("No Dossier :");

        tfNoDossier.setEditable(false);
        tfNoDossier.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Grade :");

        tfGrade.setEditable(false);
        tfGrade.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Echelon :");

        tfEchelon.setEditable(false);
        tfEchelon.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Indice :");

        tfIndice.setEditable(false);
        tfIndice.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jPanel1.setLayout(new java.awt.BorderLayout());

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Destination :");

        tfDestination.setEditable(false);
        tfDestination.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Convention :");

        tfConvention.setEditable(false);
        tfConvention.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel10.setForeground(new java.awt.Color(0, 153, 153));
        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel10.setText("Coûts Budgétaires");

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Gestion :");

        tfCodeGestion.setEditable(false);
        tfCodeGestion.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        buttonDetailAgent.setBorderPainted(false);
        buttonDetailAgent.setContentAreaFilled(false);
        buttonDetailAgent.setFocusPainted(false);
        buttonDetailAgent.setFocusable(false);

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Sous Destination :");

        tfSousDestination.setEditable(false);
        tfSousDestination.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        buttonHistoAgent.setBorderPainted(false);
        buttonHistoAgent.setContentAreaFilled(false);
        buttonHistoAgent.setFocusPainted(false);
        buttonHistoAgent.setFocusable(false);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 86, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 85, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfIdentite, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 221, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(tfDestination, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 100, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfSousDestination, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 56, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfGrade, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 221, Short.MAX_VALUE))
                        .add(6, 6, 6)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(layout.createSequentialGroup()
                                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfConvention))
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(28, 28, 28)
                                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(tfEchelon, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 46, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(tfInsee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 112, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                    .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED))
                                .add(layout.createSequentialGroup()
                                    .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)))
                            .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(buttonDetailAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(buttonHistoAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(tfNoDossier, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 67, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfIndice)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfCodeGestion, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 67, Short.MAX_VALUE)))
                    .add(layout.createSequentialGroup()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 611, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(buttonDetailBS)
                            .add(buttonCalcul)))
                    .add(layout.createSequentialGroup()
                        .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 318, Short.MAX_VALUE)
                        .add(332, 332, 332))
                    .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 209, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 576, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(buttonHistoAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(buttonDetailAgent, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfNoDossier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(tfIdentite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(tfInsee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6)
                    .add(tfIndice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(tfEchelon, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfDestination, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8)
                    .add(jLabel9)
                    .add(tfConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel11)
                    .add(tfCodeGestion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfSousDestination, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel12))
                .add(18, 18, 18)
                .add(jLabel10)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(buttonDetailBS, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonCalcul, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(23, 23, 23))
        );
    }// </editor-fold>//GEN-END:initComponents

private void tfInseeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfInseeActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_tfInseeActionPerformed

        
    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton buttonCalcul;
    protected javax.swing.JButton buttonDetailAgent;
    protected javax.swing.JButton buttonDetailBS;
    protected javax.swing.JButton buttonHistoAgent;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTextField tfCodeGestion;
    protected final javax.swing.JTextField tfConvention = new javax.swing.JTextField();
    protected javax.swing.JTextField tfDestination;
    private javax.swing.JTextField tfEchelon;
    private javax.swing.JTextField tfGrade;
    private javax.swing.JTextField tfIdentite;
    private javax.swing.JTextField tfIndice;
    private javax.swing.JTextField tfInsee;
    private javax.swing.JTextField tfNoDossier;
    protected javax.swing.JTextField tfSousDestination;
    // End of variables declaration//GEN-END:variables

    
        protected void setIdentite(String value) {
    	tfIdentite.setText(value);
    }

    protected void setInsee(String value) {
    	tfInsee.setText(value);
    }

    protected void setNoDossier(String value) {
    	tfNoDossier.setText(value);
    }

    protected void setGrade(String value) {
    	tfGrade.setText(value);
    }

    protected void setEchelon(String value) {
    	tfEchelon.setText(value);
    }

    protected void setIndice(String value) {
    	tfIndice.setText(value);
    }
    
    public javax.swing.JTextField getTfEchelon() {
		return tfEchelon;
	}

	public void setTfEchelon(javax.swing.JTextField tfEchelon) {
		this.tfEchelon = tfEchelon;
	}

	public javax.swing.JButton getButtonHistoAgent() {
		return buttonHistoAgent;
	}

	public void setButtonHistoAgent(javax.swing.JButton buttonHistoAgent) {
		this.buttonHistoAgent = buttonHistoAgent;
	}

	public javax.swing.JTextField getTfGrade() {
		return tfGrade;
	}

	public void setTfGrade(javax.swing.JTextField tfGrade) {
		this.tfGrade = tfGrade;
	}

	public javax.swing.JTextField getTfIdentite() {
		return tfIdentite;
	}

	public void setTfIdentite(javax.swing.JTextField tfIdentite) {
		this.tfIdentite = tfIdentite;
	}

	public javax.swing.JTextField getTfInsee() {
		return tfInsee;
	}

	public javax.swing.JTextField getTfDestination() {
		return tfDestination;
	}

	public void setTfDestination(javax.swing.JTextField tfDestination) {
		this.tfDestination = tfDestination;
	}

	public javax.swing.JTextField getTfSousDestination() {
		return tfSousDestination;
	}

	public void setTfSousDestination(javax.swing.JTextField tfSousDestination) {
		this.tfSousDestination = tfSousDestination;
	}

	public void setTfInsee(javax.swing.JTextField tfInsee) {
		this.tfInsee = tfInsee;
	}

	public javax.swing.JTextField getTfNoDossier() {
		return tfNoDossier;
	}

	public javax.swing.JButton getButtonCalcul() {
		return buttonCalcul;
	}

	public void setButtonCalcul(javax.swing.JButton buttonCalcul) {
		this.buttonCalcul = buttonCalcul;
	}

	public javax.swing.JButton getButtonDetailAgent() {
		return buttonDetailAgent;
	}

	public void setButtonDetailAgent(javax.swing.JButton buttonDetailAgent) {
		this.buttonDetailAgent = buttonDetailAgent;
	}

	public javax.swing.JButton getButtonDetailBS() {
		return buttonDetailBS;
	}

	public void setButtonDetailBS(javax.swing.JButton buttonDetailBS) {
		this.buttonDetailBS = buttonDetailBS;
	}

	public void setTfNoDossier(javax.swing.JTextField tfNoDossier) {
		this.tfNoDossier = tfNoDossier;
	}
        
        public javax.swing.JTextField getTfIndice() {
		return tfIndice;
	}

	public void setTfIndice(javax.swing.JTextField tfIndice) {
		this.tfIndice = tfIndice;
	}

        public ZEOTable getMyEOTable() {
		return myEOTable;
	}

    public javax.swing.JTextField getTfCodeGestion() {
		return tfCodeGestion;
	}

	public void setTfCodeGestion(javax.swing.JTextField tfCodeGestion) {
		this.tfCodeGestion = tfCodeGestion;
	}
        
	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public javax.swing.JTextField getTfConvention() {
		return tfConvention;
	}
        
	private void initGui() {

		buttonDetailBS.setIcon(KakiIcones.ICON_LOUPE_16);
		buttonCalcul.setIcon(KakiIcones.ICON_CALCULATE_16);

    	buttonDetailAgent.setIcon(KakiIcones.ICON_LOUPE_22);
    	buttonHistoAgent.setIcon(KakiIcones.ICON_DOSSIER_22);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOPafAgentHisto.PAYE_BRUT_KEY , "Brut", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
//		col = new ZEOTableModelColumn(eod, EOPafAgentHisto.PAYE_ADEDUIRE_KEY, "Salarial", 75);
//		col.setAlignment(SwingConstants.CENTER);
//		col.setFormatDisplay(CocktailUtilities.FORMAT_DECIMAL);
//		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOPafAgentHisto.PAYE_PATRON_KEY, "Patronal", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOPafAgentHisto.PAYE_NET_KEY, "Net", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOPafAgentHisto.PAYE_COUT_KEY, "Cout Total", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTable.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);		

		jPanel1.setBorder(BorderFactory.createEmptyBorder());
		jPanel1.removeAll();
		jPanel1.setLayout(new BorderLayout());
		jPanel1.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

	}
	
}
